Get Tool
curl --request GET \
--url https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"type": "api_request",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"api_timeout": 123,
"parameters": {},
"use_raw_schema": true,
"static_params": {},
"speak_during_execution": true,
"speak_after_execution": true,
"async": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Tools
Get Tool
Retrieve details of a specific tool.
GET
/
v1
/
bots
/
{bot_uid}
/
tools
/
{tool_id}
Get Tool
curl --request GET \
--url https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"type": "api_request",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"api_timeout": 123,
"parameters": {},
"use_raw_schema": true,
"static_params": {},
"speak_during_execution": true,
"speak_after_execution": true,
"async": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
API key authentication. Include your secret API key (omic_...) in the Authorization header as: Authorization: Bearer <your-api-key>. The public key (omic_pub_...) is only accepted by the endpoints the browser widgets call (/whoami, /test-call, /workflow-test-call, and the chat endpoints); every other endpoint rejects it with 403 This endpoint requires a private API key.
Path Parameters
The unique identifier of the bot.
The numeric ID of the tool.
Response
Tool details.
Unique numeric ID of the tool.
The type of tool that determines its behavior and required configuration.
Available options:
api_request, function, end_call, transfer_call, dtmf, send_sms, send_email, call_booking, check_calendar_availability, check_working_hours Was this page helpful?